package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "con_catalogo_cuentas", schema = "dbcontabilidad")
public class CatalogoCuentas implements Serializable {

    @Id
    @Column(name = "numero_cuenta")
    private String numeroCuenta;
    @Column(name = "nombreCuenta")
    private String nombreCuenta;
    @Column(name = "debe_haber")
    private boolean debeHaber;
    @Column(name = "sub_cuenta_pertenece")
    private String subCuentaPertenece;
    @Column(name = "cuenta_detalle")
    private boolean cuentaDetalle;

    public String getNumeroCuenta() {
        return numeroCuenta;
    }

    public void setNumeroCuenta(String numeroCuenta) {
        this.numeroCuenta = numeroCuenta;
    }

    public String getNombreCuenta() {
        return nombreCuenta;
    }

    public void setNombreCuenta(String nombreCuenta) {
        this.nombreCuenta = nombreCuenta;
    }

    public boolean isDebeHaber() {
        return debeHaber;
    }

    public void setDebeHaber(boolean debeHaber) {
        this.debeHaber = debeHaber;
    }

    public String getSubCuentaPertenece() {
        return subCuentaPertenece;
    }

    public void setSubCuentaPertenece(String subCuentaPertenece) {
        this.subCuentaPertenece = subCuentaPertenece;
    }

    public boolean isCuentaDetalle() {
        return cuentaDetalle;
    }

    public void setCuentaDetalle(boolean cuentaDetalle) {
        this.cuentaDetalle = cuentaDetalle;
    }

    public CatalogoCuentas() {
    }
}
